%global rolesdir %{_sysconfdir}/ansible/roles/gluster.maintenance
%global docdir %{_datadir}/doc/gluster.maintenance
%global buildnum 11

Name:      gluster-ansible-maintenance
Version:   1.0.1
Release:   11%{?dist}
Summary:   Ansible roles for GlusterFS infrastructure management

URL:       https://github.com/gluster/gluster-ansible-maintenance
Source0:   %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}-%{buildnum}.tar.gz
License:   GPLv3
BuildArch: noarch

Requires:  ansible >= 2.6

%description
Collection of Ansible roles for facilitating the day three operations like
replace-node, replace-brick ...


%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}/%{rolesdir}
cp -dpr defaults handlers roles vars tasks LICENSE \
   %{buildroot}/%{rolesdir}

mkdir -p %{buildroot}/%{docdir}
cp -dpr README.md examples %{buildroot}/%{docdir}

%files
%{rolesdir}
%doc %{docdir}

%license LICENSE

%changelog
* Fri Oct 23 2020 Prajith Kesava Prasad <pkesavap@redhat.com> 1.0.1-11
- Rebuilding on 3.5.2 from top of 3.5.3

* Fri Jul 10 2020 Gobinda Das <godas@redhat.com> 1.0.1-9
- Resolves: rhbz#1855352

* Wed Jul 01 2020 Gobinda Das <godas@redhat.com> 1.0.1-8
- Resolves: rhbz#1848898

* Wed Jul 01 2020 Gobinda Das <godas@redhat.com> 1.0.1-7
- Resolves: rhbz#1848898

* Tue Jun 30 2020 Gobinda Das <godas@redhat.com> 1.0.1-6
- Resolves: rhbz#1848898

* Thu Jun 25 2020 Gobinda Das <godas@redhat.com> 1.0.1-5
- Resolves: rhbz#1848898

* Wed Jun 24 2020 Gobinda Das <godas@redhat.com> 1.0.1-5.1
- Resolves: rhbz#1848898

* Mon Jun 08 2020 Gobinda Das <godas@redhat.com> 1.0.1-4
- Fixes for replace host

* Mon Jun 01 2020 Gobinda Das <godas@redhat.com> 1.0.1-3
- Build for RHHI-1.8

* Fri Mar 13 2020 Gobinda Das <godas@redhat.com> 1.0.1-2
- Build for RHHI-1.8 in RHEL8
* Fri Nov 15 2019 Sheersha Jain <shjain@redhat.com> 1.0.1-1
- Build for RHEL8
* Tue Oct 23 2018 Sachidananda Urs <sac@redhat.com> 1.0.1
- Address security concerns regarding plaintext passwd rhbz#1641887
* Fri Sep 21 2018 Sachidananda Urs <sac@redhat.com> 1.0
- Initial downstream release

* Fri Aug 31 2018 Sachidananda Urs <sac@redhat.com> 0.1
- Initial release
